package com.caimei365.user.model.dto;

import com.caimei365.user.model.po.BaikeProductParamPo;
import com.caimei365.user.model.po.BaikeProductQuestionPo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;


/**
 * Description
 * @author Aslee
 * @version 2021-12-10
 */
@ApiModel("供应商保存百科商品")
@Data
public class BaikeProductDto {
	@ApiModelProperty("百科商品id")
	private Integer productId;

	@ApiModelProperty("分类：1产品，2仪器")
	private Integer commodityType;

	@ApiModelProperty("供应商id")
	private Integer shopId;

	@ApiModelProperty("名称")
	private String name;

	@ApiModelProperty("别名")
	private String alias;

	@ApiModelProperty("描述")
	private String discription;

	@ApiModelProperty("seo关键词")
	private String seoKeyword;

	@ApiModelProperty("图片")
	private String image;

	@ApiModelProperty("产品链接")
	private String productLink;

	@ApiModelProperty("认证链接")
	private String authLink;

	@ApiModelProperty("认证二维码")
	private String authQrCode;

	@ApiModelProperty("优点")
	private String advantage;

	@ApiModelProperty("缺点")
	private String disadvantage;

	@ApiModelProperty("原理")
	private String principle;

	@ApiModelProperty("品牌")
	private String brand;

	@ApiModelProperty("产地")
	private String producePlace;

	@ApiModelProperty("上市时间")
	private String marketTime;

	@ApiModelProperty("公司/供应商")
	private String company;

	@ApiModelProperty("NMPA认证时间")
	private String nmpaTime;

	@ApiModelProperty("适应人群")
	private String adaptiveMan;

	@ApiModelProperty("不适应人群")
	private String unAdaptiveMan;

	@ApiModelProperty("术前术后")
	private String aroundOperation;

	@ApiModelProperty("分类id")
	private Integer typeId;

	@ApiModelProperty("状态：0草稿箱，1发布")
	private Integer status;

	@ApiModelProperty("审核状态：1待审核，2审核通过，3审核失败")
	private Integer auditStatus;

    @ApiModelProperty("百科上线状态：1待上线，2已上线，3已下线")
    private Integer onlineStatus;

    @ApiModelProperty("空数据条数")
    private Integer emptyNum;

	@ApiModelProperty("参数列表")
	private String paramList;

	@ApiModelProperty("产品认证图片列表")
	private List<String> authImageList;

	@ApiModelProperty("效果展示图片列表")
	private List<String> displayImageList;

	@ApiModelProperty("问题列表")
	private String questionList;
}