package com.caimei365.user.utils;

import org.springframework.mail.javamail.JavaMailSenderImpl;
import org.springframework.mail.javamail.MimeMessageHelper;

import javax.mail.MessagingException;
import javax.mail.internet.MimeMessage;
import java.io.UnsupportedEncodingException;
import java.util.Properties;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/4/15
 */
public class EmailUtil {

    private static final String HOST = "mail.caimei365.com";
    private static final Integer PORT = 465;
    private static final String USERNAME = "cmmp@caimei365.com";
    private static final String PASSWORD = "cmmp_abc_789";
    private static final String emailForm = "cmmp@caimei365.com";
    private static final String timeout = "80000";
    private static final String personal = "caimei365";
    private static JavaMailSenderImpl mailSender = createMailSender();

    /**
     * 邮件发送器
     *
     * @return 配置好的工具
     */
    private static JavaMailSenderImpl createMailSender() {
        JavaMailSenderImpl sender = new JavaMailSenderImpl();
        sender.setHost(HOST);
        sender.setPort(PORT);
        sender.setUsername(USERNAME);
        sender.setPassword(PASSWORD);
        sender.setDefaultEncoding("Utf-8");
        Properties p = new Properties();
        p.setProperty("mail.smtp.timeout", timeout);
        p.setProperty("mail.smtp.auth", "true");
        p.setProperty("mail.smtp.ssl.enable", "true");
        p.setProperty("mail.smtp.socketFactory.class", "javax.net.ssl.SSLSocketFactory");
        sender.setJavaMailProperties(p);
        return sender;
    }

    /**
     * 发送邮件
     *
     * @param to      接受人
     * @param subject 主题
     * @param html    发送内容
     * @throws UnsupportedEncodingException 异常
     */
    public static void sendMail(String to, String subject, String html) throws UnsupportedEncodingException, MessagingException {
        MimeMessage mimeMessage = mailSender.createMimeMessage();
        // 设置utf-8或GBK编码，否则邮件会有乱码
        MimeMessageHelper messageHelper = new MimeMessageHelper(mimeMessage, true, "UTF-8");
        messageHelper.setFrom(emailForm, personal);
        messageHelper.setTo(to);
        messageHelper.setSubject(subject);
        messageHelper.setText(html, true);
        mailSender.send(mimeMessage);
    }

    /**
     * 设置邮件验证码内容
     * @param status 1:绑定邮箱,2邮箱注册,3邮箱找回秘密
     * @param code   邮箱验证码
     * @return
     */
    public static String setMailCode(Integer status, String code){
        String html = "<!DOCTYPE html>\n" +
                        "<html lang=\"en\">\n" +
                        "<head>\n" +
                        "  <meta charset=\"UTF-8\">\n" +
                        "  <meta name=\"viewport\" content=\"width=device-width, initial-scale=1.0\">\n" +
                        "  <title>Document</title>\n" +
                        "</head>\n" +
                        "<body>\n" +
                        "  <h1 style=\"text-align: left;\">采美365网</h1>\n" +
                        "  <p>您好，</p>\n";
        if (status == 1) {
           html +=  "  <P>您正在绑定邮箱。</P>\n" +
                    "  <P>您的邮箱验证码为：<b>" + code + "</b>,请把该验证码填入绑定邮箱页面,进行邮箱绑定。</P>\n";
        } else if (status == 2) {
           html +=  "  <P>感谢您注册采美365网。</P>\n" +
                    "  <P>您的邮箱验证码为：<b>" + code + "</b>,请把该验证码填入注册页面，然后继续注册流程。</P>\n";
        } else if (status == 3) {
           html +=  "  <p>您好，</p>\n" +
                    "  <P>您正在修改密码。</P>\n" +
                    "  <P>您的邮箱验证码为：<b>" + code + "</b>,请把该验证码填入修改密码页面，然后继续修改密码流程。</P>\n";
        } else {
            html += "  <P>您的邮箱验证码为：<b>" + code + "</b></P>\n";
        }
        html += "<P>注意：验证码有效期为30分钟！</P>\n" +
                "  <h1 style=\"text-align: right;\">采美365网团队</h1>\n" +
                "  <p style=\"text-align: right;\">客服热线：0755-22907771</p>\n" +
                "</body>\n" +
                "</html>";
        return html;
    }

//    public static void main(String[] args) throws UnsupportedEncodingException, MessagingException {
//        EmailUtil m = new EmailUtil();
//        m.sendMail("plf0916@163.com", "用户商品价格库价格低于成本价或应付供应商", "<!DOCTYPE html>\n" +
//                "<html lang=\"en\">\n" +
//                "<head>\n" +
//                "  <meta charset=\"UTF-8\">\n" +
//                "  <meta name=\"viewport\" content=\"width=device-width, initial-scale=1.0\">\n" +
//                "  <title>Document</title>\n" +
//                "</head>\n" +
//                "<body>\n" +
//                "  <h1 style=\"text-align: left;\">采美365网</h1>\n" +
//                "  <p>您好：</p>\n" +
//                "  <P>您正在绑定邮箱</P>\n" +
//                "  <P>您的邮箱验证码为：<b>4585</b>,请把该验证码填入绑定邮箱页面,进行邮箱绑定</P>\n" +
//                "  <P>注意：验证码有效期为30分钟!</P>\n" +
//                "  <h1 style=\"text-align: right;\">采美365网团队</h1>\n" +
//                "  <p style=\"text-align: right;\">0755-22907771</p>\n" +
//                "</body>\n" +
//                "</html>");
//    }
}
